Get Auto model defaults
curl --request GET \
--url https://api.melius.com/api/v1/generation/auto-model-defaults \
--header 'Authorization: Bearer <token>' \
--header 'x-team-id: <api-key>'import requests
url = "https://api.melius.com/api/v1/generation/auto-model-defaults"
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-team-id': '<api-key>'}
};
fetch('https://api.melius.com/api/v1/generation/auto-model-defaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"text": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"image": {
"textToImage": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"imageToImage": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
}
},
"video": {
"textToVideo": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"imageToVideo": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"videoToVideo": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
}
},
"fast": {
"text": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"image": {
"textToImage": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"imageToImage": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
}
},
"video": {
"textToVideo": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"imageToVideo": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"videoToVideo": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
}
},
"audio": {
"textToSpeech": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"audioToAudio": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"textToSfx": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"textToMusic": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"speechToText": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
}
}
},
"audio": {
"textToSpeech": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"audioToAudio": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"textToSfx": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"textToMusic": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
},
"speechToText": {
"model": "<string>",
"variant": "<string>",
"capabilities": {
"displayName": "<string>",
"tier": "<string>",
"supportedInputs": [],
"requiredInputs": [
"<string>"
],
"optionalInputs": [
"<string>"
],
"supportsSeed": true,
"supportsAudioGeneration": true,
"supportsAudioToggle": true,
"supportsNegativePrompt": true,
"supportedAspectRatios": [],
"supportedDurations": [
123
],
"supportedDurationsByResolution": {},
"supportedResolutions": [],
"supportsCustomResolution": true,
"maxImageInputs": 123,
"maxReferenceImageInputs": 123,
"maxReferenceImagesWithEndImage": 123,
"maxVideoInputs": 123,
"maxAudioInputs": 123,
"maxNativeOutputs": 123,
"maxInputArea": 123,
"minInputVideoArea": 123,
"maxInputVideoDurationSeconds": 123,
"minInputVideoDurationSeconds": 123,
"maxPromptLength": 123,
"minPromptLength": 123,
"estimatedLatency": "<string>",
"estimatedLatencySeconds": 123,
"featuredDescription": "<string>"
}
}
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Models
Get Auto model defaults
GET
/
api
/
v1
/
generation
/
auto-model-defaults
Get Auto model defaults
Authorizations
A Melius API key (mel_...), sent as Authorization: Bearer <key>.
The team (workspace) to act on. Defaults to the key's team when omitted.
Last modified on July 9, 2026
⌘I